web_backend:
  extensions:
    FriendsOfBehat\SymfonyExtension:
      kernel:
        class: Lehitgaber\Apps\Web\Backend\WebBackendKernel
      bootstrap: apps/bootstrap.php
    Behat\MinkExtension:
      sessions:
        symfony:
          symfony: ~
      base_url: ''

  suites:
    health_check:
      paths: [ tests/apps/web/backend/features/health_check ]
      contexts:
        - Lehitgaber\Tests\Shared\Infrastructure\Behat\ApiContext

    courses:
      paths: [ tests/apps/web/backend/features/courses ]
      contexts:
        - Lehitgaber\Tests\Shared\Infrastructure\Behat\ApplicationFeatureContext
        - Lehitgaber\Tests\Shared\Infrastructure\Behat\ApiContext

    courses_counter:
      paths: [ tests/apps/web/backend/features/courses_counter ]
      contexts:
        - Lehitgaber\Tests\Shared\Infrastructure\Behat\ApplicationFeatureContext
        - Lehitgaber\Tests\Shared\Infrastructure\Behat\ApiContext
